Apache JMeter

## org.apache.jmeter.control
Class OnceOnlyController

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.control.GenericController
              org.apache.jmeter.control.OnceOnlyController

All Implemented Interfaces:
  Serializable, Cloneable, Controller, LoopIterationListener, TestElement

    public class OnceOnlyController

extends GenericController
implements Serializable, LoopIterationListener

Controller to run its children once per cycle.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.jmeter.control.GenericController
`current, subControllersAndSamplers`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`OnceOnlyController()` Constructor for the OnceOnlyController object.

Method Summary
`void` `iterationStart(LoopIterationEvent event)` Called when a loop iteration is about to start.
`protected Sampler` `nextIsNull()` Called by next() when getCurrentElement() returns null.

Methods inherited from class org.apache.jmeter.control.GenericController
`addIterationListener, addTestElement, currentReturnedNull, fireIterationStart, fireIterEvents, getCurrentElement, getIterCount, getSubControllers, incrementCurrent, incrementIterCount, initialize, isDone, isFirst, next, nextIsAController, nextIsASampler, reInitialize, removeCurrentElement, resetCurrent, resetIterCount, setCurrentElement, setDone, setFirst`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addProperty, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.testelement.TestElement

`canRemove, clear, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

Constructor Detail

### OnceOnlyController

    public OnceOnlyController()

  Constructor for the OnceOnlyController object.

Method Detail

### iterationStart

    public void iterationStart(LoopIterationEvent event)

  Description copied from interface: `LoopIterationListener`
  Called when a loop iteration is about to start.

  Specified by:
    `iterationStart` in interface `LoopIterationListener`
  Parameters:
    `event` - the event
  See Also:
    `LoopIterationListener.iterationStart(LoopIterationEvent)`

### nextIsNull

    protected Sampler nextIsNull()
                          throws NextIsNullException

  Description copied from class: `GenericController`
  Called by next() when getCurrentElement() returns null. Reinitialises the controller.

  Overrides:
    `nextIsNull` in class `GenericController`
  Returns:
    null (always, for this class)
  Throws:
    `NextIsNullException`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.